%{!?python_sitelib:  %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_abi:      %define python_abi %(%{__python} -c "import sys; print sys.version[:3]")}

%define modn   ntplib
%define modv   0.1.9


Summary:       A NTP client library for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       LGPL
Group:         Development/Libraries
Source0:       http://pypi.python.org/packages/source/n/%{modn}/%{modn}-%{modv}.tar.gz
URL:           http://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Charles-Francois Natali <neologix@free.fr>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python >= 2.3.5 python-setuptools
BuildArch:     noarch


%description
Python-ntplib offers a simple interface to query NTP servers from Python.
It also provides utility functions to translate NTP fields values to text
(mode, leap indicator, ...). Since it is pure Python and only depends on
core modules, it should work on any platform with a Python implementation.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python} test_ntplib.py ntp.pramberger.at


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG COPYING* README
%{python_sitelib}/%{modn}.py*
%{python_sitelib}/*.egg-info


%changelog
* Wed Apr 14 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.9-1
- Initial build
